aboutsummaryrefslogtreecommitdiff
path: root/python/choices_TEST_setup.sh
diff options
context:
space:
mode:
authorAvatar Ciaran McCreesh <ciaran.mccreesh@googlemail.com> 2008-11-24 18:31:31 +0000
committerAvatar Ciaran McCreesh <ciaran.mccreesh@googlemail.com> 2008-11-24 18:31:31 +0000
commit18c6b34313f7b5d81f50a400f6a2f4bce7ceb7f7 (patch)
tree46249081751c7a8118c237b354d9e5875ed5fb3f /python/choices_TEST_setup.sh
parentbbb8d84a9afb74cb1ad0c33143d977ad63daef3e (diff)
downloadpaludis-18c6b34313f7b5d81f50a400f6a2f4bce7ceb7f7.tar.gz
paludis-18c6b34313f7b5d81f50a400f6a2f4bce7ceb7f7.tar.xz
Python choices
Diffstat (limited to 'python/choices_TEST_setup.sh')
-rwxr-xr-xpython/choices_TEST_setup.sh45
1 files changed, 45 insertions, 0 deletions
diff --git a/python/choices_TEST_setup.sh b/python/choices_TEST_setup.sh
new file mode 100755
index 000000000..9a8b5b88e
--- /dev/null
+++ b/python/choices_TEST_setup.sh
@@ -0,0 +1,45 @@
+#!/usr/bin/env bash
+# vim: set ft=sh sw=4 sts=4 et :
+
+mkdir choices_TEST_dir || exit 1
+cd choices_TEST_dir || exit 1
+
+mkdir -p testrepo/{eclass,distfiles,profiles/{testprofile,desc},foo/bar/files} || exit 1
+cd testrepo || exit 1
+echo "testrepo" > profiles/repo_name || exit 1
+cat <<END > profiles/categories || exit 1
+foo
+END
+cat <<END > profiles/profiles.desc
+test testprofile stable
+END
+cat <<END > profiles/testprofile/make.defaults
+ARCH=test
+USERLAND=test
+KERNEL=test
+USE_EXPAND=LINGUAS
+END
+
+cat <<"END" > foo/bar/bar-1.0.ebuild || exit 1
+DESCRIPTION="Test package"
+HOMEPAGE="http://paludis.pioto.org/"
+SRC_URI="http://example.com/${P}.tar.bz2"
+SLOT="0"
+IUSE="testflag linguas_en"
+LICENSE="GPL-2"
+KEYWORDS="test"
+RESTRICT="monkey"
+DEPEND="foo/bar"
+RDEPEND=""
+END
+
+cat <<END > profiles/use.desc
+testflag - the test flag
+END
+
+cat <<END > profiles/desc/linguas.desc
+en - English
+END
+
+cd ..
+